/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */
$(document).ready(function() {
	var type = Number($('#CPSALENOTIFICATION_SELECT_TYPE').val());

	$('.table-customer').parent().removeClass('col-lg-9');
	$('.table-customer').parent().removeClass('col-lg-offset-3');

	if (type == 3) {
		$('.table-customer').closest('.form-group').show();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').show();
	} else if (type == 2) {
		$('.table-customer').closest('.form-group').hide();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').hide();
	} else {
		$('.table-customer').closest('.form-group').hide();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').show();
	}

	slectType();
	addCustomer();
	deleteCustomer();
	cpSearchProduct();
	removeProduct();
});

function removeProduct()
{
	$('.cp-remove').click(function() {
		$(this).closest('.cp-tagger-Tag').remove();
		var check = 1;
		var id = '';

		$('.cp-tagger-Tag').each(function() {
			if (check == 1) {
				id += $(this).find('span').data('id');
			} else {
				id += ',' + $(this).find('span').data('id');
			}

			check++;
		});

		$('.cp-list-product').val(id);
	});
}

function cpSearchProduct()
{
	$('.cp-close').click(function() {
		$('.product-list').html('');
		$('.cp-close').hide();
	});

	$('#cp-search-product').keyup(function() {
		var name = $(this).val();
		var id_product = $('.cp-list-product').val();
		$('.cp-error').hide();
		$('cp-res').hide();
		$('.cp-close').hide();
		$('.product-list').html('');

		if (name.length >= 3) {
			$('.cp-loading').show();

			$.ajax({
		        type: 'GET',
		        url: url,
		        headers: { "cache-control": "no-cache" },
		        async: true,
		        cache: false,
		        dataType: "json",
		        data: {
		            token: cp_token,
		            id_product: id_product,
		            name: name,
		            action: 'searchProduct'
		        },
		        success: function (data)
		        {
					$('.cp-loading').hide();
		            $('cp-res').show();

		            if (data.success == 0) {
		            	$('.cp-error').html(data.message);
		            	$('.cp-error').show();
		            } else {
		            	$('.cp-close').show();
		            	$('.product-list').html(data.message);
		            	selectProduct(id_product);
		            }
		        },
    		});
		}
	});
}

function selectProduct(id_product)
{
	$('.cp-product-item').click(function() {
		var id = $(this).data('id');
		var name = $(this).data('name');

		var html = '<span class="cp-tagger-Tag">';
		html += '<span data-id="'+id+'">'+name+'</span>';
		html += '<i class="material-icons cp-remove">close</i>';
		html += '</span>';

		if (id_product != '') {
			id_product += ',' + id;
		} else {
			id_product += id;
		}

		$('.cp-product-tag').append(html);
		$('.cp-list-product').val(id_product);
		$('.product-list').html('');
		$('.cp-close').hide();
		removeProduct();
	});
}

function slectType()
{
	var val = Number($('#CPSALENOTIFICATION_SELECT_TYPE').val());
	hideShow(val);
	
	$('#CPSALENOTIFICATION_SELECT_TYPE').change(function() {
		val = Number($(this).val());
		hideShow(val);
	});
}

function hideShow(val)
{
	if (val == 1) {
		$('.table-customer').closest('.form-group').hide();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').show();
	} else if (val == 2) {
		$('.table-customer').closest('.form-group').hide();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').hide();
	} else {
		$('.table-customer').closest('.form-group').show();
		$('#CPSALENOTIFICATION_CATEGORY').closest('.form-group').hide();
	}
}

function addCustomer()
{
	$('.cp-add').click(function() {
		/*var count = $('.item-customer').length;

		if (count >= 2) {
			alert(cp_text);

			return;
		}*/

		var html = '<tr class="item-tr item-customer">' + $('.tr-template').html() + '</tr>';
		html = html.replace('name="name"', 'name="cp_name[]"');
		html = html.replace('name="city"', 'name="cp_city[]"');
		$('.cp-body').append(html);
		deleteCustomer();
	});
}

function deleteCustomer()
{
	$('.cp-delete').on('click', function(e) {
		e.preventDefault();
		$(this).closest('.item-customer').remove();
	});
}