{**
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2017 PrestaShop SA
* @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
* International Registered Trademark & Property of PrestaShop SA
*}

<div class="table-customer">
	<hr>
	<div class="alert alert-info">
		<p>{l s='Create Product Sale' mod='cp_salenotification'}</p>
	</div>

	<div class="cp-product">
		<div class="cp-product-tag">
			{if !empty($products)}
				{foreach from=$products item=product}
					<span class="cp-tagger-Tag">
						<span data-id="{$product.id_product}">{$product.name}</span>
						<i class="material-icons cp-remove">close</i>
					</span>
				{/foreach}
			{/if}
		</div>

		<input type="hidden" class="cp-list-product" name="CPSALENOTIFICATION_LIST_PRODUCT" value="{Configuration::get('CPSALENOTIFICATION_LIST_PRODUCT')}">

		<div class="form-group">
			<label class="control-label col-lg-3">{l s='Search Product' mod='cp_salenotification'}</label>

			<div class="col-lg-3">
				<input type="text" id="cp-search-product" placeholder="{l s='Search Product' mod='cp_salenotification'}">

				<div class="cssload-container cp-loading">
					<div class="cssload-double-torus"></div>
				</div>
			</div>
		</div>

		<div class="cp-res">
			<div class="cp-error alert alert-danger"></div>

			<p class="cp-close">
				<i class="material-icons">close</i>
			</p>

			<div class="product-list">
			</div>
		</div>
	</div>

	<div class="alert alert-info">
		<p>{l s='Create Customer Sale' mod='cp_salenotification'}</p>
	</div>

	<table class="table cp-table">
		<thead>
			<tr class="title-table">
				<td>
					{l s='Customer Name' mod='cp_salenotification'}
				</td>
				<td>
					{l s='Customer City' mod='cp_salenotification'}
				</td>
				<td>
					{l s='Action' mod='cp_salenotification'}
				</td>
			</tr>
		</thead>
		<tbody class="cp-body">
			<tr class="tr-template" style="display:none;">
				<td>
					<input required="" type="text" name="name">
				</td>
				<td>
					<input required="" type="text" name="city">
				</td>
				<td>
					<a href="#" class="cp-delete btn">
						<i class="material-icons">delete</i>
					</a>
				</td>
			</tr>

			{if !empty($customers)}
			{foreach from=$customers item=customer}
			<tr class="item-tr item-customer">
				<td>
					<input required="" type="text" name="cp_name[]" value="{$customer.name}">
				</td>

				<td>
					<input required="" type="text" name="cp_city[]" value="{$customer.city}">
				</td>

				<td>
					<a href="#" class="cp-delete btn">
						<i class="material-icons">delete</i>
					</a>
				</td>
			</tr>
			{/foreach}
			{/if}
		</tbody>
	</table>

	<button type="button" class="cp-add btn btn-primary">
		<i class="material-icons">add</i>
		{l s='Add' mod='cp_salenotification'}
	</button>
</div>