{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*}

<style type="text/css">

:root {
  --primary-color:{$CPPRIMARY_COLOR};
  --secondary-color:{$CPSECONDARY_COLOR};
  --price-color:{$CPPRICE_COLOR};
  --link-hover-color:{$CPLINKHOVER_COLOR};
  --box-bodybkg-color:{$CPBOX_BODYBKG_COLOR};
  --border-radius:{if ($CPBORDER_RADIUS == 1)}5px{else}0px{/if};
  --body-font-family:{$body_fontfamily};
  --title-font-family:{$title_fontfamily};
  --body-font-size:{$CPBODY_FONT_SIZE};
  --title-font-size:{$CPTITLE_FONT_SIZE};
}
 
{if isset($CPBOX_LAYOUT)}
    body.box_layout{
        background-color: var(--box-bodybkg-color);
        {if isset($CPBOX_BGIMG) && $CPBOX_BGIMG != ''}
                background-image: url({$image_dir_url}{$CPBOX_BGIMG});
            {if $CPBOX_BGIMG_STYLE == 'repeat'}
                background-repeat: repeat;
            {else if $CPBOX_BGIMG_STYLE == 'strech'}
                background-repeat: no-repeat;
                background-attachment: fixed;
                background-position: top center;
            {/if}
        {/if}
     }
{/if}

/* Set body font family  */
body, .top-menu a[data-depth="0"], .btn{
    font-family: var(--body-font-family), Arial, Helvetica, sans-serif;
}

/* Set body font size */
body, .product-title a,  h4, h5, h6, .h4, .h5, .h6,
.cpcategory-container .categoryblock .block_content .categorylist .cate-heading, #desc_user_info a.logout {
    font-size: var(--body-font-size);
}

/* Set title font family and size */
.flexslider .slides li .slide_content .headdings .sub_title, .cart_block .toggle-title, .footer-container .links h3 a, 
#main > h1, #main h2.h2, #main .page-header h1,.block-category h1,
#right-column .block .block_title, .breadcrumb .h1, .text-uppercase.h6 , #subcategories .subcategory-heading,
#subcategories .subcategory-heading, .Recent-title, .footer-container .links .h3,
body#checkout section.checkout-step .step-title,.block-social .block_title,
.cat-title.title2, h1, h3,  .h2, .title_menu, #left-column .block .block_title, .category-info h1, .Recnet-blog h3, 
.blog-item .blog-content-wrap .title a, #index .tabs .nav-tabs .nav-link
{
    font-family: var(--title-font-family), Arial, Helvetica, sans-serif;
    font-size: var(--title-font-size);
}
.products-section-title h2.title{
    font-family: var(--title-font-family), Arial, Helvetica, sans-serif;
}


/* Set Primary color & Secondary color */
.special-products .product-flag.discount,
.customNavigation i.next:hover::before, .customNavigation i.prev:hover::before,
.special-products .products .product_list .product-actions .btn.add-to-cart:hover,
.special-products .products .product_list .product-actions-main .btn.add-to-cart:hover,
#left-column .block_content .allproducts,
.btn:focus, .btn, .btn-primary, .btn-secondary, .btn-tertiary, a.btn:hover,
.newsletter-form a.button, .newsletter-form a.button:hover,
#blockcart-modal .cart-content .btn.btn-secondary.btn-primary,
#blockcart-modal .cart-content a.btn-primary, 
#blockcart-modal .cart-content a.btn-primary, 
#blockcart-modal .cart-content a.btn-primary,
.flexslider .caption-description .sliderbutton,
.checkout.cart-detailed-actions .btn.btn-primary,
.products .product_list .product-actions .add-to-cart, 
.products .product_list .product-actions-main .add-to-cart, 
.products .product_list li .product-miniature .product-actions-main .view_detail, 
.products .product_list li .product-miniature .product-actions .view_detail,
.products-sort-order .select-list:hover,
#js-product-list .product_list.gridcount.list li.product_item .product-actions-main .view_detail, 
#js-product-list .product_list.gridcount.list li.product_item .product-actions .view_detail,
body#checkout [data-action="show-password"],
.custom-radio input[type="radio"]:checked + span,
#authentication [data-action="show-password"], .input-group .input-group-btn > .btn,
#cpnavcmsblock .contact_description a::before,
.pagination .current a, .pagination a:hover,
.cpcategory-container .categoryblock .block_content .categorylist .cate-btn a:hover,
.checkout-step li.nav-item .nav-link.active,
.search-widget form button[type="submit"]:hover,#header .header-top .header_logo::before,
.cat-title.title2, .Recnet-blog .pagination li.active > span, 
.blog-image .blogicons .icon:hover::before, .blog-image .blogicons .icon:active::before, .blog-image .blogicons .icon:focus::before,
#left-column #cpinstagramblock .products-section-title, #cpinstagramblock .instagramblock .instagram_list article.instagram_item a::before,
#cpinstagramblock .instagramblock .instagram_list article.item a::before,#header .header-top .header_logo a::before, #cpnavcmsblock .contact_description .offer-icon::before, .progress .progress-bar,
#header .vertical_currency li.current a.dropdown-item,#cpcmsbanner2 .cms-block  .offer-button a::after,#cpcmsbanner3 .cms-block  .offer-button a::after,
#header .vertical_currency ul.dropdown-menu li:hover a,
#cp_sidevertical_menu_top .title_main_menu,.products article.item:hover .product-bottom .add-to-cart, .products article.product_item:hover .product-bottom .add-to-cart,
#_desktop_user_info .user-info .logout.hidden-md-down,#cpcmsbanner1_block2 .cms_content .cms-block .offer-button a::after,#cpcmsbanner1_block1 .cms_content .cms-block .offer-button a::after,
.flexslider .flex-direction-nav .flex-next:hover, .flexslider .flex-direction-nav .flex-prev:hover, .block-promo .promo-input + button,
.product-quantity .add .btn.btn-primary.checkout_button, #_desktop_user_info .user-info .logout.hidden-md-down:hover,
#footer .footer-before,#header .header-nav,#header .header-top,.product-quantity .add .add-to-cart
{
    background-color: var(--primary-color);
    color: var(--secondary-color);
}
#search_filters .ui-slider .ui-slider-handle,
.blog-image .blogicons .icon:hover::before, .blog-image .blogicons .icon:active::before, .blog-image .blogicons .icon:focus::before, .Recnet-blog .pagination li.active > span,
#left-column #cpinstagramblock .owl-page.active span, #left-column #cpinstagramblock .owl-page span:hover, #header .vertical_currency li.current a.dropdown-item, #header .vertical_currency ul.dropdown-menu li:hover a,
.flex-control-paging li a:hover, .flex-control-paging li a.flex-active, .pagination li > span {
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}
.footer-container .block-social li a:hover::before,
.block_newsletter .title::before,
.products .product_list .product-actions .add-to-cart::before,
.products .product_list .product-actions-main .add-to-cart::before,
.products .product_list li .product-miniature .product-actions-main .view_detail::before,
.products .product_list li .product-miniature .product-actions .view_detail::before,#left-column #cpinstagramblock .instagram-heading::before,
#cpinstagramblock .instagramblock .instagram_list article.instagram_item a::after, #cpinstagramblock .instagramblock .instagram_list article.item a::after,
.flexslider .flex-direction-nav .flex-next:hover::before, .flexslider .flex-direction-nav .flex-prev:hover::before
{    
    background-color: var(--secondary-color);
}
#footer .block_newsletter .custom-checkbox input[type="checkbox"] + span .checkbox-checked,
.products .product_list li .fa-heart::before, .cmsbanner .sub-btn
{
	color: var(--secondary-color);
}
.page-my-account #content .links a:hover i,.btn-outline-primary,.btn-link,.btn-link:focus,.btn-link:hover,.text-primary,a.text-primary:focus,a.text-primary:hover,
#index .tabs .nav-tabs .nav-link.active, .vertical_language .current a.dropdown-item,.page-link,.page-link:focus,.page-link:hover,
.block-categories .block_content .collapse-icons .add:hover, .block-categories .block_content .collapse-icons .remove:hover,.carousel .carousel-control .icon-next:hover i,
.carousel .carousel-control .icon-prev:hover i,.products .highlighted-informations .quick-view:hover*,#search_filters .js-search-filters-clear-all:hover,
.block-categories .block_content .arrows .arrow-right:hover,.block-categories .block_content .arrows .arrow-down:hover,.footer-container .row.footer .links .block_content li a:hover,
.product-cover .layer .zoom-in:hover,.scroll-box-arrows i:hover,.account-list a:hover,#block-contact_list i,.contact-rich .icon i:hover,
.cart:hover,#_desktop_user_info > .user-info a:hover ,#header #_desktop_cart .blockcart:hover .cart-price .hidden-md-down.material-icons.expand-more,
.contact-link:hover span,#index .products .product_list article.loadmore .cp-message:hover,#_mobile_cart .cart-products-count,#left-column .contact-rich .icon i:hover
{
    color: var(--primary-color);
}

.footer-container .block-social li a:hover,.btn-outline-primary:hover,.btn-outline-primary:focus,.btn-outline-primary.focus ,
.btn-outline-primary:active,.btn-outline-primary.active,.open > .btn-outline-primary.dropdown-toggle,.dropdown-item.active,.dropdown-item.active:focus,.dropdown-item.active:hover,
.nav-pills .nav-link.active,.nav-pills .nav-link.active:focus,.nav-pills .nav-link.active:hover,.card-primary,.page-item.active .page-link,
.nav-pills .nav-item.open .nav-link,.nav-pills .nav-item.open .nav-link:focus,.nav-pills .nav-item.open .nav-link:hover,.tag-primary,.tag-primary[href]:focus,
.tag-primary[href]:hover,.list-group-item.active,.list-group-item.active:focus,.list-group-item.active:hover,.bg-primary,a.bg-primary:focus,a.bg-primary:hover,
.group-span-filestyle .btn-default,.group-span-filestyle .bootstrap-touchspin .btn-touchspin,.bootstrap-touchspin .group-span-filestyle .btn-touchspin,.service_image,
.active_filters .filter-block .close,.wish-comp .wishlist .st-wishlist-bt-content:hover .material-icons,.has-discount .discount,.cart_block.block.exclusive .top-block-cart,
.readmore_btn a {
    background-color: var(--primary-color);
}

/* Set link hover colors */
a:focus, a:hover, .breadcrumb li a:hover::before,
#header ul.dropdown-menu li a:hover,
.header-top .menu #manufacturers .sub-menu .top-menu > li a.dropdown-submenu:hover,
.nav-item .nav-link.active, .nav-item .nav-separtor.active,
.footer-container li a:hover, #left-column .products-block .view_more a:hover, 
#right-column .products-block .view_more a:hover,
.wish-comp .compare .st-compare-bt-content:hover, .wish-comp .wishlist .st-wishlist-bt-content:hover,
.wish-comp .compare .st-compare-bt-content:hover .fa, .wish-comp .wishlist .st-wishlist-bt-content:hover .fa,
body#checkout section.checkout-step.-reachable.-complete h1 .step-edit:hover,
.currency-selector li.current a, .language-selector li.current a,
.footer-container .footer-right li a:hover::before,
#products .product-title a:hover
{
    color: var(--link-hover-color);
}
#cp_sidevertical_menu_top .top-menu[data-depth="1"] li a:hover::before, 
#cp_sidevertical_menu_top .top-menu[data-depth="2"] li a:hover::before, 
#cp_sidevertical_menu_top .top-menu[data-depth="3"] li a:hover::before,
.footer-container .footer-right li a:hover::before{
    background-color: var(--link-hover-color);
}

/* Set Price Color */
.products .product-price-and-shipping, .product-price, .product-discount .regular-price,
.cart-summary-line .value{
    color: var(--price-color);
}

/* set border radius */
.flexslider .slides img, .cms_content,
.top_button, .btn, .pagination a, .btn-primary,
 #left-column .block_content .allproducts,
.search-widget form input[type="text"],
.block-promo .promo-input,.block-social li::before,
.vertical_currency a.dropdown-item, .sale-percentage,
.product-leftside li.product-flag, .container.text-xs-center.mobile, 
.products-sort-order .select-title, .special-products, 
.testimonial-block-part .cptestimonial-container .cptestimonial-container-inner,
 #left-column .block-categories.block, .cpcategory-container .categoryblock .block_content, .homeblog-inner article .blog-item,
.countdown-row .countdown-section, .alert,
.lastest_block .blog-item .blog-image, .radio-label, .js-modal-mask.mask .thumb-container .thumb.selected,
#product-availability .product-available, #product-availability .product-unavailable,
.product-images > article.thumb-container > .thumb, #main .images-container .js-qv-mask ul li, body#checkout section.checkout-step, .card,
.cart_block .cart-item .cart-image, #main .page-content, #sitemap .container-fluid, .product-line-grid-left img, .products-selection,
.product-variants > .product-variants-item select, .alert-info, .product-additional-info .social-sharing li,
.product-features > dl.data-sheet dd.value, .product-features > dl.data-sheet dt.name, .img-thumbnail, #subcategories ul li .subcategory-image,
.checkout-step li.nav-item .nav-link, #left-column .left-part, .block-category .category-cover img, .form-control,
#js-checkout-summary .card-block .cart-summary-products .js-show-details, body#checkout #cart-summary-product-list img, .quickview .thumb-container.item, .quickview .images-container .product-cover,
#blockcart-modal .product-image, #_desktop_user_info .user-info .logout.hidden-md-down, .pagination li > span, #blog-listing .pagination li a, .Recnet-blog .pagination li a, .Recnet-blog .blog-item .blog-image,
#product-modal .modal-content .modal-body .product-cover-modal, #product-modal .modal-content .modal-body .product-images img, .top-menu .sub-menu .menu-banners .menu-banner img,
#cpsearch_eccept_data .title_showall_text
{
    border-radius: var(--border-radius);
    -webkit-border-radius: var(--border-radius);
    -moz-border-radius: var(--border-radius);
    -ms-border-radius: var(--border-radius);
    -o-border-radius: var(--border-radius);
}
#_top_main_menu .top-menu .sub-menu.collapse, .products-sort-order .dropdown-menu, .dropdown-menu, #_desktop_user_info .user-info,
#cpsearch_content_result
{
    border-radius: 0 0 var(--border-radius) var(--border-radius) ;
    -webkit-border-radius: 0 0 var(--border-radius) var(--border-radius);
    -moz-border-radius: 0 0 var(--border-radius) var(--border-radius);
    -ms-border-radius: 0 0 var(--border-radius) var(--border-radius) ;
    -o-border-radius: 0 0 var(--border-radius) var(--border-radius) ;
}
.lang-rtl .search-widget form button[type=submit],.lang-rtl .block-promo .promo-input + button,
.product-quantity #quantity_wanted{
    border-radius: var(--border-radius) 0 0 var(--border-radius);
    -webkit-border-radius: var(--border-radius) 0 0 var(--border-radius);
    -moz-border-radius: var(--border-radius) 0 0 var(--border-radius);
    -ms-border-radius: var(--border-radius) 0 0 var(--border-radius);
    -o-border-radius: var(--border-radius) 0 0 var(--border-radius);
}
.bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up{
    border-radius: 0 var(--border-radius) 0 0;
    -webkit-border-radius: 0 var(--border-radius) 0 0;
    -moz-border-radius: 0 var(--border-radius) 0 0;
    -ms-border-radius: 0 var(--border-radius) 0 0;
    -o-border-radius: 0 var(--border-radius) 0 0;
}
.bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down{
    border-radius: 0 0 var(--border-radius) 0;
    -webkit-border-radius: 0 0 var(--border-radius) 0;
    -moz-border-radius: 0 0 var(--border-radius) 0;
    -ms-border-radius: 0 0 var(--border-radius) 0;
    -o-border-radius: 0 0 var(--border-radius) 0;
}
.lang-rtl .block_newsletter form input[type="text"],.lang-rtl .product-quantity #quantity_wanted, .lang-rtl .input-group .form-control:not(:first-child):not(:last-child)
.search-widget form button[type=submit],.block-promo .promo-input + button{
    border-radius: 0 var(--border-radius) var(--border-radius) 0;
    -webkit-border-radius: 0 var(--border-radius) var(--border-radius) 0;
    -moz-border-radius: 0 var(--border-radius) var(--border-radius) 0;
    -ms-border-radius: 0 var(--border-radius) var(--border-radius) 0;
    -o-border-radius: 0 var(--border-radius) var(--border-radius) 0;
}
.lang-rtl .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down {
    border-radius: 0 0 0 var(--border-radius);
-webkit-border-radius: 0 0 0 var(--border-radius);
-moz-border-radius: 0 0 0 var(--border-radius);
-ms-border-radius: 0 0 0 var(--border-radius);
-o-border-radius: 0 0 0 var(--border-radius);
}
.lang-rtl .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up {
    border-radius:var(--border-radius) 0 0 0;
-webkit-border-radius: var(--border-radius) 0 0 0;
-moz-border-radius: var(--border-radius) 0 0 0;
-ms-border-radius: var(--border-radius) 0 0 0;
-o-border-radius: var(--border-radius) 0 0 0;
}

.block_newsletter .block_content .gdpr_consent .custom-checkbox input[type="checkbox"] + span{
    border-color: var(--secondary-color);
}
</style> 